<template>
  <div>

    <body>
      <div class="background content">
        <div class="container">
          <navbar></navbar>
          <h1 class="pt-3">Get random quotes fast!</h1>
          <b-row v-if="loaded">
            <b-col class="col-lg-12 col-md-12 col-sm-12 col-12 d-flex align-items-stretch pb-4">
              <div class="cardcontainer">
                <b-card>
                  <blockquote class="blockquote mb-0">
                    <p v-html="'&quot' + randomQuote.en + '&quot'"></p>
                    <footer>
                      <span
                        class="blockquote-footer"
                        v-text="randomQuote.author"
                      ></span>
                    </footer>
                  </blockquote>
                </b-card>
              </div>
            </b-col>
          </b-row>
          <transition name="fade">
            <div
              v-if="loadbutton"
              class="buttoncontainer"
            >
              <b-btn @click="randomize">Generate random</b-btn>
            </div>
          </transition>

        </div>
      </div>
    </body>
    <Footer></Footer>
  </div>
</template>
<script>
import Restclient from '../services/Restclient'
import Navbar from '@/components/Navbar.vue'
import Footer from '@/components/Footer.vue'


export default {
  name: 'randomizer',
  components: {
    Navbar,
    Footer
  },
  data () {
    return {
      restclient: new Restclient(),
      randomQuote: null,
      loaded: false,
      loadbutton: true
    }
  }, created: async function () {
    this.randomQuote = await this.restclient.getRandom()
    if (this.randomQuote != null) this.loaded = true
  },
  methods: {
    async randomize () {
      this.loadbutton = false
      this.randomQuote = await this.restclient.getRandom()
      if (this.randomQuote != null) this.loadbutton = true
    }
  }
}

</script>
<style scoped>
.background {
  height: 100%;
  min-height: 850px;
  margin-bottom: -50px;

  background-color: #f2f2f2;
  flex: 1 0 auto;
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
html,
body {
  height: 100%;
  margin: 0;
}


@media screen and (max-width: 991px) {
  h1 {
    font-size: 25px;
  }
}
@media screen and (max-width: 575px) {
  .buttoncontainer {
    display: flex;
    justify-content: center;
  }
}
</style>